Skip to main content
PUT
Update Idp Config

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Scopes

openid

Issue an OIDC ID token identifying the caller.

profile

Read the caller's basic profile claims.

email

Read the caller's email address.

Body

application/json

Configuration for IdP group to Barndoor role mapping.

admin_group
string | null

Response

Successful Response

Response containing current IdP role mapping configuration.

idp_alias
string | null
idp_display_name
string | null
admin_group
string | null